Skip to main content
PATCH
Update Sales Order Line Item

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://auth.jtl-cloud.com/oauth2/auth
Token URL
https://auth.jtl-cloud.com/oauth2/token
Scopes1
salesorders.write
Grants permission to create and modify sales orders.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesOrderId
string<uuid>
required

The ID of the sales order that the line items belong to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderLineItemId
string<uuid>
required

The ID of the line item that belongs to the sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

The line item to update.

Model Class: UpdateSalesOrderLineItem

itemId
string<uuid>

Unique ID to identify an item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

name
string

Name of the position.

sKU
string

SKU of the sales order line item.

quantity
number<decimal>

The quantity of the line item.

salesUnit
string

The sales unit of the line item.

salesPriceNet
number<decimal>

The net sales price of the item. Only net or gross price can be entered. The other price will then be calculated.

salesPriceGross
number<decimal>

The gross sales price of the item. Only net or gross price can be entered. The other price will then be calculated.

discount
number<decimal>

The discount of the line item.

purchasePriceNet
number<decimal>

The purchase price of the item.

taxRate
number<decimal>

The tax rate of the line item.

notice
string

Notice for the line item.

Response